Browse the help center

Create site IP range targeting

Creates an IP range targeting rule for the specified site.

Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/site/{siteId}/targeting/ip-range/create.do

Creates an IP range targeting rule for the specified site. Supports both IPv4 and IPv6 addresses. The ipFrom address must be less than or equal to ipTo. Requires IP_RANGE targeting permission.

Path Params

siteId integer required

Unique numeric ID of the site

3001

Form Params

rule string required

Targeting rule type — INCLUDE for whitelist or EXCLUDE for blacklist

INCLUDE

ipFrom string required

Start IP address of the range (IPv4 or IPv6, e.g. 194.222.012.001)

192.168.1.0

ipTo string required

End IP address of the range (IPv4 or IPv6, must be >= ipFrom)

192.168.1.255

Responses

200

Success

400

Invalid IP range or ipFrom exceeds ipTo

401

Unauthorized

403

Forbidden

404

Site not found

500

Internal server error

Please disable Adblock
Are you using adblock? Disable it and reload the page to proceed to the destination page.

A registration has already been submitted from this page. Please try again in 10 minutes.